Skip to main content
GET
/
v1
/
podcasts
/
advertising
/
sponsors
/
{id}
/
podcasts
cURL
curl -H "X-API-Key: $PARTICLE_API_KEY" \
  "https://api.particle.pro/v1/podcasts/advertising/sponsors/{id}/podcasts?limit=25"
{
  "data": [
    {
      "ad_count": 123,
      "episode_count": 123,
      "podcast": {
        "id": "<string>",
        "title": "<string>",
        "image_url": "<string>",
        "slug": "<string>"
      }
    }
  ],
  "has_more": true,
  "cursor": "<string>"
}

Authorizations

X-API-Key
string
header
required

Pass your API key in the X-API-Key header (recommended).

Path Parameters

id
string
required

Sponsor ID, company ID, company domain, or company slug

Query Parameters

limit
integer<int64>
default:25

Results per page

Required range: 1 <= x <= 100
cursor
string

Opaque pagination cursor from previous response

since
string

Only include ads from episodes published on or after this ISO 8601 date or date-time

Example:

"2025-01-01T00:00:00Z"

until
string

Only include ads from episodes published before this ISO 8601 date or date-time

Example:

"2026-01-01T00:00:00Z"

Response

OK

data
object[] | null
required

List of results

has_more
boolean
required

Whether more results exist

cursor
string

Pass to next request for more results